Subject: Re: [PATCH] git-instaweb: Add option to reuse previous config file

From: Jakub Narebski <[email-masked]>
Date: Tue, 1 Jun 2010 23:31:37 +0200

Pavan Kumar Sunkara wrote:
> 2010/6/2 Jakub Narebski <[email-masked]>
> 
> > On Tue, 1 June 2010, Pavan Kumar Sunkara wrote:
> >
> > > Add an option to git-instaweb which allows the usage of the old
> > > gitweb_config.perl situated in '.git/gitweb' dir. When the option
> > > is in use, gitweb_conf() won't be used and thus the gitweb_config.perl
> > > won't be overwritten.
> >
> > I think that the correct solution would be to avoid overwriting
> > (customized) git-instaweb's gitweb_config.perl, but to generate it if
> > it does not exist.
> 
> So, you say that there is no use of this option ?
> Well, what happens if someone want's to overwrite their 
> gitweb_config.perl?

No, I am not saying that.

If git-instaweb is invoked *without* --reuse-config, the gitweb_config.perl
would be regenerated whether it exists or not, overwriting your changes.

If git-instaweb is invoked *with* --reuse-config, the gitweb_config.perl
would be generated if it does not exist (so if you delete gitweb_config.perl
and then run 'git instaweb --reuse-config' it would not fail), and reused
if it does exist.

  test "$no_reuse" = true || test ! -e "$GITWEB_CONFIG" && gitweb_conf

or something like that (the test if $GITWEB_CONFIG file exists might be
moved to the fragment of code that sets no_reuse to true instead).

-- 
Jakub Narebski
Poland